import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (p, t, s, o) => {
  for (var e = o > 1 ? void 0 : o ? m(t, s) : t, l = p.length - 1, c; l >= 0; l--)
    (c = p[l]) && (e = (o ? c(t, s, e) : c(e)) || e);
  return o && e && u(t, s, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--cloud", this.class = "c-pieIcon c-pieIcon--cloud", this.name = "IconCloud";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--cloud"><path d="M12.016 13.189H4.378A3.377 3.377 0 0 1 1 9.81 3.342 3.342 0 0 1 2.969 6.75a5.18 5.18 0 0 1 10.176.682 2.992 2.992 0 0 1-1.129 5.758ZM8 4.124a3.859 3.859 0 0 0-3.815 3.22l-.061.393-.385.114a2.039 2.039 0 0 0-1.426 1.96 2.065 2.065 0 0 0 2.065 2.065h7.638a1.68 1.68 0 0 0 .359-3.316l-.499-.114V7.93A3.885 3.885 0 0 0 8 4.124Z"></path></svg>`;
  }
};
i([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
i([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = i([
  h("icon-cloud")
], r);
export {
  r as IconCloud
};
